## How to submit a bug report

### Before you report a bug
Make sure you have:

* Followed the appropiate [Installation instructions](https://linrunner.de/tlp/installation)
* Read the [Settings guide](https://linrunner.de/tlp/settings)
* Carefully checked the [FAQ](https://linrunner.de/tlp/faq)
* Checked [existing bug reports](https://github.com/linrunner/TLP/issues)
* Tried to isolate the cause as described in [Troubleshooting](https://linrunner.de/tlp/support/troubleshooting.html)

### What not to report
* **Any issues with packages not provided by the project, in particular tp-smapi and acpi_call**
* Asking for help about installation, configuration and usage
* Questions about your laptop's power consumption and how to optimize it
* Deviations from powertop's recommendations
* Hardware issues e.g. worn out or malfunctioning batteries

Please use adequate Linux forums for help and support questions.

### Reporting a bug
This project uses [GitHub issues](https://github.com/linrunner/TLP/issues) for bug reports and feature requests.

When opening an issue, provide **all the information requested by the
[template](https://github.com/linrunner/TLP/blob/master/.github/ISSUE_TEMPLATE/bug_report.md)**.
Bug reports not providing the necessary information get flagged *incomplete* and
may be closed without further notice.
